function fn_xhc_listar() {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: ruta + 'maestras/xhc/listar',
				data 	: {
					texto 	: $('#txt_bxhc').val()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xhc_data').DataTable().destroy();
					$('#xhc_data tbody').html(data[0]);
					$('#xhc_data').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 470) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : true,
    		            "language"		: {
    				    	"url"		: ruta + 'json/Spanish.json'
			            }
					});
					swal.close();
				}
			});
		}
	});
}

function fn_xhc_nuevo() {
	$('#div_oculto1').html('');
	$.post(ruta + 'maestras/xhc/nuevo', {
	}, function (data) {
		$('#div_oculto1').html(data).modal('show');
	});
}

function fn_xhc_insertar() {
	mhtml 	= '';
	if($('#txt_apenombres').val()==''){
		mhtml 	= 'Apellidos y Nombres requeridos<br>';
		sel 	= $('#txt_apenombres');
	}
	if($('#txt_dni').val()==''){
		mhtml 	= 'DNI requerido<br>';
		sel 	= $('#txt_dni');
	}
	if(mhtml!=''){
		swal({
			type 	: 'warning',
			title 	: 'Alerta!',
			html 	: mhtml + '<b>Campos requeridos</b>'
		}).then(function () {
			sel.focus();
		});
		this.stopPropagation();
		return;
	}
	var res = 0;
	swal({
		title 					: 'Alerta!',
		html 					: 'Desea crear la Historia Clínica?',
		type 					: 'question',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Si, Crear!</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				var str = $('#form_xhc').serialize();
				$.ajax({
					url 	: ruta + 'maestras/xhc/insertar',
					data 	: str,
					type 	: 'post',
					success : function (data) {
						resolve();
						if(data>0)res=1;
					}
				});
			});
		},
		allowOutsideClick: false
	}).then(function () {
		if(res==1)swal('Alerta!','Ya existe una Historia Clínica con esos datos. Verifique!','warning');
		else{
			swal({
				title 	: 'Alerta!',
				html 	: 'Historia Clínica creada correctamente.',
				type 	: 'success',
				confirmButtonText 		: '<span class="glyphicon glyphicon-ok"></span> <b>Aceptar</b>',
  				confirmButtonClass 		: 'btn btn-primary',
  				allowOutsideClick 		: false,
        		allowEscapeKey 			: false,
  				buttonsStyling 			: false,
        	}).then(function () {
        		$('#div_oculto1').html('').modal('hide');
        	});
		}
	});
}

function fn_xhc_ver(d1) {
	$('#div_oculto1').html('');
	$.post(ruta + 'maestras/xhc/ver', {
		d1:d1
	}, function (data) {
		$('#div_oculto1').html(data).modal('show');
	});
}

function fn_xhc_editar() {
	mhtml 	= '';
	if($('#txt_apenombres').val()==''){
		mhtml 	= 'Apellidos y Nombres requeridos<br>';
		sel 	= $('#txt_apenombres');
	}
	if($('#txt_dni').val()==''){
		mhtml 	= 'DNI requerido<br>';
		sel 	= $('#txt_dni');
	}
	if(mhtml!=''){
		swal({
			type 	: 'warning',
			title 	: 'Alerta!',
			html 	: mhtml + '<b>Campos requeridos</b>'
		}).then(function () {
			sel.focus();
		});
		this.stopPropagation();
		return;
	}
	var res = 0;
	swal({
		title 					: 'Alerta!',
		html 					: 'Desea grabar los cambios de la Historia Clínica?',
		type 					: 'question',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Si, Grabar!</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				var str = $('#form_xhc').serialize();
				$.ajax({
					url 	: ruta + 'maestras/xhc/editar',
					data 	: str,
					type 	: 'post',
					success : function (data) {
						resolve();
					}
				});
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal({
			title 	: 'Alerta!',
			html 	: 'Cambios registrados correctamente.',
			type 	: 'success',
			confirmButtonText 		: '<span class="glyphicon glyphicon-ok"></span> <b>Aceptar</b>',
			confirmButtonClass 		: 'btn btn-primary',
			allowOutsideClick 		: false,
    		allowEscapeKey 			: false,
			buttonsStyling 			: false,
    	}).then(function () {
    		$('#div_oculto1').html('').modal('hide');
    	});
	});
}